Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87441 - Lilo doesn't allow to use kernel-2.4.18-27
Summary: Lilo doesn't allow to use kernel-2.4.18-27
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 22:10 UTC by Marcin
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 20:26:49 UTC


Attachments (Terms of Use)

Description Marcin 2003-03-26 22:10:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
When upgrading using the up2date tool, from kernel 2.4.18-24.7.x to
2.4.18-27.7.x I get the following error after changing the /etc/lilo.conf file
and running lilo
Fatal: Kernel doesn't support initial RAM disks
Here is my lilo file

prompt
timeout=50
default=linux
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
message=/boot/message
lba32

image=/boot/vmlinux-2.4.18-27.7.x
	label=linux
	root=/dev/hdb2
	read-only
	initrd=/boot/initrd-2.4.18-27.7.x.img	

image=/boot/vmlinuz-2.4.18-24.7.x
        label=linux.bak
        root=/dev/hdb2
        read-only
        initrd=/boot/initrd-2.4.18-24.7.x.img

other=/dev/hda1
	optional
	label=DOS


Version-Release number of selected component (if applicable):
lilo-21.4.4-14

How reproducible:
Always

Steps to Reproduce:
1.install using rpm or automatically using up2date the new kernel 2.4.18-24.7.x
2.using up2date the program crashes
3.edit mannualy the /etc/lilo.conf file and run lilo
    

Actual Results:  Fatal: Kernel doesn't support initial RAM disks

Expected Results:  Added linux *
Added linux.bak
Added DOS

Additional info:

I don't use any RAM disks as far as I know and haven't played with recompiling
the kernel.  The default one always used to work.

Comment 1 Jeremy Katz 2003-03-28 00:07:12 UTC
Could you verify that the kernel package was installed correctly by running `rpm
-V kernel`?

Comment 2 Marcin 2003-03-28 14:40:16 UTC
[draminsk@164-tor-1 draminsk]$ rpm -V kernel-2.4.18-27.7.x
.M......   /dev/shm


Comment 3 Jeremy Katz 2003-07-28 23:37:27 UTC
up2date put in the vmlinux instead of the vmlinuz in the lilo.conf file.


Note You need to log in before you can comment on or make changes to this bug.